## quickflux 1.1.3%2Bgit20201110.2a37acf

=== debian/control ===
Source: quickflux
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake,
               qdoc-qt5,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/benlau/quickflux
Vcs-Git: https://salsa.debian.org/ubports-team/quickflux.git
Vcs-Browser: https://salsa.debian.org/ubports-team/quickflux/

Package: qml-module-quickflux
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml-module-qtquick2,
Description: quickflux QML/QtQuick module
 An implementation of Flux Application Architecture Framework from
 Facebook. It turns your QML application into a more modern and
 structured way.
 .
 This package contains the QML module for quickflux.

Package: quickflux-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Description: quickflux API documentation and examples
 An implementation of Flux Application Architecture Framework from
 Facebook. It turns your QML application into a more modern and
 structured way.
 .
 This package contains the API documentation and some example projects.
