=== debian/control ===
--- 
+++ 
@@ -15,12 +15,38 @@
 Vcs-Git: https://salsa.debian.org/ubports-team/quickflux.git
 Vcs-Browser: https://salsa.debian.org/ubports-team/quickflux/
 
+Package: libquickflux1
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Description: Flux implementation for QML
+ An implementation of Flux Application Architecture Framework from
+ Facebook. It turns your QML application into a more modern and
+ structured way.
+ .
+ This package contains the shared library files.
+
+Package: libquickflux-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         libquickflux1 (= ${binary:Version}),
+Description: Flux implementation for QML (development headers)
+ An implementation of Flux Application Architecture Framework from
+ Facebook. It turns your QML application into a more modern and
+ structured way.
+ .
+ This package contains the development header files of the quickflux shared
+ library.
+
 Package: qml-module-quickflux
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         ${shlibs:Depends},
          qml-module-qtquick2,
+         libquickflux1 (= ${binary:Version}),
 Description: quickflux QML/QtQuick module
  An implementation of Flux Application Architecture Framework from
  Facebook. It turns your QML application into a more modern and
