=== debian/rules ===
#!/usr/bin/make -f

NULL =

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --			\
	    -DBUILD_SHARED_LIBS=ON		\
	    $(NULL)

override_dh_auto_build:
	dh_auto_build
	cd docs && qdoc quickflux.qdocconf

override_dh_missing:
	dh_missing --fail-missing

override_dh_clean:
	dh_clean
	rm docs/html/ -Rfv

override_dh_installexamples:
	dh_installexamples
	-rm debian/quickflux-doc/usr/share/doc/quickflux-doc/examples/middleware/.gitignore
	-rm debian/quickflux-doc/usr/share/doc/quickflux-doc/examples/photoalbum/.gitignore
	-rm debian/quickflux-doc/usr/share/doc/quickflux-doc/examples/todo/.gitignore

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --repack --destdir=..
