=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=1.1.3+git%cd.%h" \
https://github.com/benlau/quickflux.git \
heads/master debian uupdate
